net.sf.jasperreports.engine.fill

## Class JRFillDatasetRun

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillDatasetRun

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRDatasetRun, JRIdentifiable, JRPropertiesHolder
  Direct Known Subclasses:
    FillDatasetRun

      public class JRFillDatasetRun
      extends java.lang.Object
      implements JRDatasetRun

  Class used to instantiate sub datasets.
  Version:
    $Id: JRFillDatasetRun.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `connectionExpression`
    `protected JRFillDataset` | `dataset`
    `protected JRExpression` | `dataSourceExpression`
    `protected JRBaseFiller` | `filler`
    `protected JRDatasetParameter[]` | `parameters`
    `protected JRExpression` | `parametersMapExpression`
    `protected JRDatasetRun` | `parentDatasetRun`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillDatasetRun(JRBaseFiller filler, JRDatasetRun datasetRun, JRFillDataset dataset)`
    `` | `JRFillDatasetRun(JRBaseFiller filler, JRDatasetRun datasetRun, JRFillObjectFactory factory)` Construct an instance for a dataset run.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `advanceDataset()`
    `protected void` | `checkInterrupted()`
    `java.lang.Object` | `clone()`
    `protected void` | `copyConnectionParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)`
    `void` | `copyReturnValues()`
    `protected void` | `detail()`
    `void` | `evaluate(JRFillElementDataset elementDataset, byte evaluation)` Instantiates and iterates the sub dataset for a chart dataset evaluation.
    `JRExpression` | `getConnectionExpression()` Returns the DB connection expression.
    `protected JRFillDataset` | `getDataset()`
    `java.lang.String` | `getDatasetName()` Returns the sub dataset name.
    `JRExpression` | `getDataSourceExpression()` Returns the data source expression.
    `JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
    `JRExpression` | `getParametersMapExpression()` Returns the parameters map expression.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.util.List<ReturnValue>` | `getReturnValues()` Returns the list of values to be copied from the subdataset.
    `java.util.UUID` | `getUUID()`
    `protected void` | `group()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `protected void` | `init()`
    `protected void` | `initReturnValues(JRFillObjectFactory factory)`
    `protected void` | `iterate()`
    `protected void` | `saveReturnVariables()`
    `void` | `setBand(JRFillBand band)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filler

          protected final JRBaseFiller filler

    - #### parentDatasetRun

          protected final JRDatasetRun parentDatasetRun

    - #### dataset

          protected final JRFillDataset dataset

    - #### parametersMapExpression

          protected JRExpression parametersMapExpression

    - #### parameters

          protected JRDatasetParameter[] parameters

    - #### connectionExpression

          protected JRExpression connectionExpression

    - #### dataSourceExpression

          protected JRExpression dataSourceExpression

  - ### Constructor Detail

    - #### JRFillDatasetRun

          public JRFillDatasetRun(JRBaseFiller filler,
                          JRDatasetRun datasetRun,
                          JRFillObjectFactory factory)

      Construct an instance for a dataset run.
      Parameters:
        `filler` - the filler
        `datasetRun` - the dataset run
        `factory` - the fill object factory

    - #### JRFillDatasetRun

          protected JRFillDatasetRun(JRBaseFiller filler,
                          JRDatasetRun datasetRun,
                          JRFillDataset dataset)

  - ### Method Detail

    - #### initReturnValues

          protected void initReturnValues(JRFillObjectFactory factory)

    - #### setBand

          public void setBand(JRFillBand band)

    - #### evaluate

          public void evaluate(JRFillElementDataset elementDataset,
                      byte evaluation)
                        throws JRException

      Instantiates and iterates the sub dataset for a chart dataset evaluation.
      Parameters:
        `elementDataset` - the chart dataset
        `evaluation` - the evaluation type
      Throws:
        `JRException`

    - #### saveReturnVariables

          protected void saveReturnVariables()

    - #### copyReturnValues

          public void copyReturnValues()

    - #### copyConnectionParameter

          protected void copyConnectionParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)

    - #### iterate

          protected void iterate()
                          throws JRException

      Throws:
        `JRException`

    - #### advanceDataset

          protected boolean advanceDataset()
                                    throws JRException

      Throws:
        `JRException`

    - #### checkInterrupted

          protected void checkInterrupted()

    - #### group

          protected void group()
                        throws JRException,
                               JRScriptletException

      Throws:
        `JRException`
        `JRScriptletException`

    - #### init

          protected void init()
                       throws JRScriptletException,
                              JRException

      Throws:
        `JRScriptletException`
        `JRException`

    - #### detail

          protected void detail()
                         throws JRScriptletException,
                                JRException

      Throws:
        `JRScriptletException`
        `JRException`

    - #### getDatasetName

          public java.lang.String getDatasetName()

      Description copied from interface: `JRDatasetRun`
      Returns the sub dataset name.
      Specified by:
        `getDatasetName` in interface `JRDatasetRun`
      Returns:
        the sub dataset name

    - #### getParametersMapExpression

          public JRExpression getParametersMapExpression()

      Description copied from interface: `JRDatasetRun`
      Returns the parameters map expression.

      The result of this expression is used as the parameters map when instantiating the dataset.

      Specified by:
        `getParametersMapExpression` in interface `JRDatasetRun`
      Returns:
        the parameters map expression

    - #### getParameters

          public JRDatasetParameter[] getParameters()

      Description copied from interface: `JRDatasetRun`
      Returns the list of parameter values.
      Specified by:
        `getParameters` in interface `JRDatasetRun`
      Returns:
        the list of parameter values

    - #### getConnectionExpression

          public JRExpression getConnectionExpression()

      Description copied from interface: `JRDatasetRun`
      Returns the DB connection expression.

      The result of this expression is used as the DB connection when instantiating the dataset.

      Specified by:
        `getConnectionExpression` in interface `JRDatasetRun`
      Returns:
        the DB connection expression

    - #### getDataSourceExpression

          public JRExpression getDataSourceExpression()

      Description copied from interface: `JRDatasetRun`
      Returns the data source expression.

      The result of this expression is used as the data source when instantiating the dataset.

      Specified by:
        `getDataSourceExpression` in interface `JRDatasetRun`
      Returns:
        the data source expression

    - #### getDataset

          protected JRFillDataset getDataset()

    - #### getUUID

          public java.util.UUID getUUID()

      Specified by:
        `getUUID` in interface `JRIdentifiable`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### getReturnValues

          public java.util.List<ReturnValue> getReturnValues()

      Description copied from interface: `JRDatasetRun`
      Returns the list of values to be copied from the subdataset.
      Specified by:
        `getReturnValues` in interface `JRDatasetRun`
      Returns:
        the list of copied values.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com